System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

When or an implementation of is called, this object is returned to the client. It contains the endpoints registered to the peer specified in a previous corresponding instance sent to the peer resolver.

Instances of this class are primarily used to pass information from the resolver service to a network client of that service.

Contains response information returned as a result of a peer endpoint resolution operation on the peer resolver.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the provided set of peer endpoint addresses.

  Array of objects that contain the endpoint addresses registered to the peer whose endpoints were requested in a previous resolution operation.
- Property
  4.0.0.0
  System.Collections.Generic.IList<System.ServiceModel.PeerNodeAddress> To be added. To be added.

  Gets or sets a collection of peer node addresses.

- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the resolution response information body is correctly-formed by the sender; false if it is not.